This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 171040 - Review Request: postgis
Review Request: postgis
Status: CLOSED DUPLICATE of bug 220743
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fedora Package Reviews List
http://ftp.intevation.de/freegis/fedo...
:
Depends On: 171039
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 12:51 EDT by Silke Reimer
Modified: 2016-02-23 10:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 13:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Silke Reimer 2005-10-17 12:51:02 EDT
Spec Name or Url: http://ftp.intevation.de/freegis/fedora/4/SPECS/postgis.spec
SRPM Name or Url: http://ftp.intevation.de/freegis/fedora/4/SRPMS/postgis-1.0.4-2.src.rpm

Description: 
PostGIS adds support for geographic objects to the PostgreSQL object-relational
database. In effect, PostGIS "spatially enables" the PostgreSQL server,
allowing it to be used as a backend spatial database for geographic information
systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
follows the OpenGIS "Simple Features Specification for SQL" and will be
submitted for conformance testing at version 1.0.


Additional information
======================
This package needs geos-devel at compile time (and geos at install time). They will be provided by the package geos once it is finally in FC (see Bug #171039).
Comment 1 Ralf Corsepius 2006-01-16 04:41:00 EST
Ping? geos now is FE.

Silke, shouldn't you respond within one week from now, I'll presume you have
lost interest into getting this package into FE and close this PR.
Comment 2 Silke Reimer 2006-02-01 03:52:15 EST
Sorry for my late answer.

I am currently working on preparing the package for FC 5 as well. I don't expect
any grave problems but I just need some time to do it. Are there any other tasks
that I am supposed to do? So far I didn't really get any other comments on this bug.
Comment 3 Kevin Fenzi 2006-02-05 14:59:29 EST
In reply to comment #2: 

See the new package guidelines at:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Once you have your fc5 package and spec, post them to this bug, and wait for
reviews. 
Comment 4 Michael Schwendt 2006-02-06 07:53:35 EST
Just a comment while purging messages from one of my mail folders:

> make %{?_smp_mflags} PGXS=1 PGSQL_SRC=/usr/lib/pgsql/pgxs LPATH=\$\(pkglibdir\)

> make install DESTDIR=$RPM_BUILD_ROOT PGXS=1 PGSQL_SRC=/usr/lib/pgsql/pgxs

> %files
> %defattr(-,root,root,-)
> %{_libdir}/pgsql/*

The hardcoded /usr/lib here most certainly breaks on 64-bit multilib
platforms where %_libdir is /usr/lib64.

Which package owns the "pgxs" directory?
Comment 5 Silke Reimer 2006-03-14 09:08:43 EST
(In reply to comment #4)
>
> 
> Which package owns the "pgxs" directory?

I have recompiled postgis on FC5 and updated the version from 1.0 to 1.1 in the
same way. As a consequence the pgxs directory is not important any more because
the build mechanism has become much easier.

See here the output of rpmlint:

W: postgis unstripped-binary-or-object /usr/lib/pgsql/liblwgeom.so.1.1
W: postgis unstripped-binary-or-object /usr/bin/shp2pgsql
W: postgis unstripped-binary-or-object /usr/bin/pgsql2shp

The new specfile and SRPM is located at 
http://ftp.intevation.de/freegis/fedora/5
Comment 6 Noa Resare 2006-05-08 04:27:02 EDT
Had a look at the 1.1.1-1 spec

1) Please remove the patch that is not used, the patch0-line and the old make line
2) This pacakge does not install shared libraries in any of the dynamic linker's
default paths, so ldconfig should not be called. on post and postun
3) Include a reference to where to download the release .tar.gz in the Source line

http://postgis.refractions.net/ seems down at the moment, so I can't verify the
package upstream.
Comment 7 Hans de Goede 2006-06-08 03:54:53 EDT
Silke,

Are you still interested in this? Ifso it would be nice if you could provide a 
new SRPM which addresses the issues rased in Comment #6, or are you waiting for
a full review before submitting a new version?

Shouldn't you respond within one week from now, I'll presume you have
lost interest into getting this package into FE and close this PR.
Comment 8 Hans de Goede 2006-06-16 13:36:42 EDT
More then a week has passed and no reply closing as wontfix.
Comment 9 Peter Lemenkov 2016-02-23 10:35:07 EST

*** This bug has been marked as a duplicate of bug 220743 ***

Note You need to log in before you can comment on or make changes to this bug.